List bandwidth options for an uplink model

GET/v1/locations/{location_id}/order_options/server_models/{server_model_id}/uplink_models/{uplink_model_id}/bandwidth

You can see a list of bandwidth options available for a chosen uplink model in one location. To do that, send a GET request to the /v1/locations/{location_id}/order_options/server_models/{server_model_id}/uplink_models/{uplink_model_id}/bandwidth endpoint. Identify the location, server, and uplink models with their IDs in the path parameters.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

location_id*string

A unique identifier of a location. A request to list all the location IDs is described in the Location section.

server_model_id*string

An identifier of a server model. You can find a list of all the server models by sending a request described in the Server Model section.

Query Parameters

type?string

This parameter filters an output according to the bandwidth option's type. There can be the following values: bytes (quantity of traffic included), bandwidth (throughput of traffic), unmetered (no restrictions and limits on traffic).

Value in

  • "bytes"
  • "bandwidth"
  • "unmetered"
per_page?integer

The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown.

Range1 <= value <= 100
Default20
page?integer

The number of a page (>= 1) that will be returned. By default, it's 1.

Range1 <= value
Default1
sorting?string

This parameter sorts items. By default, it's id. Also, it's possible to sort by type.

Default"id"

Value in

  • "id"
  • "name"
direction?string

This parameter defines if items are sorted in an ascending ASC or descending DESC order. By default, ASC is set up.

Default"ASC"

Value in

  • "ASC"
  • "DESC"

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/locations/1598/order_options/server_models/2759/uplink_models/2761/bandwidth"
[  {    "id": 2762,    "name": "Unmetered",    "type": "unmetered",    "commit": null  },  {    "id": 2763,    "name": "Unmetered",    "type": "unmetered",    "commit": null  },  {    "id": 2764,    "name": "20002 GB",    "type": "bytes",    "commit": 20002000000  },  {    "id": 2765,    "name": "40004 GB",    "type": "bytes",    "commit": 40004000000  }]
{  "message": "Not found",  "code": "NOT_FOUND"}